summaryrefslogtreecommitdiffstats
path: root/source/ap/jove
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/jove')
-rwxr-xr-xsource/ap/jove/jove.SlackBuild30
-rw-r--r--source/ap/jove/slack-desc8
2 files changed, 26 insertions, 12 deletions
diff --git a/source/ap/jove/jove.SlackBuild b/source/ap/jove/jove.SlackBuild
index 65714d3cb..14f8e5c73 100755
--- a/source/ap/jove/jove.SlackBuild
+++ b/source/ap/jove/jove.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,24 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=jove
VERSION=4.16.0.73
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -50,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-jove
@@ -74,13 +83,18 @@ sed -i -e "s#/lib/jove#/lib${LIBDIRSUFFIX}/jove#" \
-e "s#^OPTFLAGS = .*#OPTFLAGS = $SLKCFLAGS#" Makefile
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
# Create jove-recover symlink
( cd $PKG/usr/bin
ln -s ../lib${LIBDIRSUFFIX}/jove/recover jove-recover
)
+# Install teach-jove file:
+cp -a --verbose doc/teach-jove $PKG/usr/lib${LIBDIRSUFFIX}/jove/teach-jove
+chown root:root $PKG/usr/lib${LIBDIRSUFFIX}/jove/teach-jove
+chmod 644 $PKG/usr/lib${LIBDIRSUFFIX}/jove/teach-jove
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/ap/jove/slack-desc b/source/ap/jove/slack-desc
index ea95435ff..c84738a8b 100644
--- a/source/ap/jove/slack-desc
+++ b/source/ap/jove/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
jove: jove (Jonathan's Own Version of Emacs)
jove:
jove: A mostly Emacs compatible text editor, with man pages and the
-jove: 'teachjove' tutorial program. If you'd rather have the real thing,
+jove: 'teachjove' tutorial program. If you'd rather have the real thing,
jove: the actual Emacs editor/environment is available in series 'E'.
jove:
jove: JOVE was written by Jonathan Payne.